commit: 5b85160c989eadb0943fe0f96940ddeee2a75de7
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 1 22:33:04 2016 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Jan 1 22:49:14 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b85160c
dev-java/oracle-jdk-bin: awt flag, nsplugin, javapackager
* Change awt USE flag to !headless-awt
* Install nsplugin to /usr/lib/nsbrowser/plugins in line with
eselect-java and icedtea-web changes
* Don't install javapackager unless javafx is enabled (#565828)
Sorry for changing the X/awt flag again but icedtea upstream preferred
the term headless, which is technically more accurate than awt, so I
compromised and went with headless-awt. This isn't icedtea but
consistency is king and I may apply this flag to virtual/jre one day.
Package-Manager: portage-2.2.26
dev-java/oracle-jdk-bin/metadata.xml | 1 +
...0.65.ebuild => oracle-jdk-bin-1.8.0.65-r1.ebuild} | 14 ++++++++------
...0.65.ebuild => oracle-jdk-bin-1.8.0.66-r1.ebuild} | 20 +++++++++++---------
3 files changed, 20 insertions(+), 15 deletions(-)
diff --git a/dev-java/oracle-jdk-bin/metadata.xml
b/dev-java/oracle-jdk-bin/metadata.xml
index d95caa1..e7dceb3 100644
--- a/dev-java/oracle-jdk-bin/metadata.xml
+++ b/dev-java/oracle-jdk-bin/metadata.xml
@@ -6,6 +6,7 @@
<use>
<flag name="awt">Install non-headless AWT libraries, needed by some GUIs
(used to be X flag)</flag>
<flag name="derby">Install bundled Derby (Java database)</flag>
+ <flag name="headless-awt">Don't install the X backend for AWT, needed by
some GUIs (used to be X flag)</flag>
<flag name="javafx">Install JavaFX libraries</flag>
<flag name="jce">Install Java Cryptographic Extension Unlimited Strength
Jurisdiction Policy Files</flag>
<flag name="pax_kernel">Use paxctl to mark the JVM binaries</flag>
diff --git a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65-r1.ebuild
similarity index 96%
copy from dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
copy to dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65-r1.ebuild
index 0d8bfc8..cf7e483 100644
--- a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
+++ b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -61,7 +61,7 @@ SRC_URI+=" jce? ( ${JCE_FILE} )"
LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
SLOT="1.8"
KEYWORDS="~arm ~arm64"
-IUSE="alsa +awt cups derby doc examples +fontconfig javafx jce nsplugin
pax_kernel selinux source"
+IUSE="alsa cups derby doc examples +fontconfig headless-awt javafx jce
nsplugin pax_kernel selinux source"
REQUIRED_USE="javafx? ( alsa fontconfig )"
RESTRICT="fetch preserve-libs strip"
@@ -79,7 +79,7 @@ QA_PREBUILT="*"
# dependencies below.
#
RDEPEND="!x64-macos? (
- awt? (
+ !headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
@@ -212,7 +212,7 @@ src_install() {
rm -vf jre/lib/*/libjsoundalsa.* || die
fi
- if ! use awt ; then
+ if use headless-awt ; then
rm -vf {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
{,jre/}bin/{javaws,policytool} \
bin/appletviewer || die
@@ -221,7 +221,7 @@ src_install() {
if ! use javafx ; then
rm -vf jre/lib/*/lib*{decora,fx,glass,prism}* \
jre/lib/*/libgstreamer-lite.* {,jre/}lib/{,ext/}*fx* \
- bin/*javafx* || die
+ bin/*javafx* bin/javapackager || die
fi
if ! use nsplugin ; then
@@ -259,7 +259,9 @@ src_install() {
fi
if use nsplugin ; then
- install_mozilla_plugin "${dest}/${nsplugin}"
+ local nsplugin_link=${nsplugin##*/}
+ nsplugin_link=${nsplugin_link/./-${PN}-${SLOT}.}
+ dosym "${dest}/${nsplugin}"
"/usr/$(get_libdir)/nsbrowser/plugins/${nsplugin_link}"
fi
if use source ; then
diff --git a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.66-r1.ebuild
similarity index 94%
rename from dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
rename to dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.66-r1.ebuild
index 0d8bfc8..e3b48a9 100644
--- a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.65.ebuild
+++ b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.66-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -12,11 +12,11 @@
JCE_URI="http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2
# This is a list of archs supported by this update.
# Currently arm comes and goes.
-AT_AVAILABLE=( arm arm64 )
+AT_AVAILABLE=( amd64 x86 x64-solaris sparc64-solaris x64-macos )
# Sometimes some or all of the demos are missing, this is to not have to
rewrite half
# the ebuild when it happens.
-DEMOS_AVAILABLE=( arm arm64 )
+DEMOS_AVAILABLE=( amd64 x86 x64-solaris sparc64-solaris x64-macos )
if [[ "$(get_version_component_range 4)" == 0 ]] ; then
S_PV="$(get_version_component_range 1-3)"
@@ -60,8 +60,8 @@ SRC_URI+=" jce? ( ${JCE_FILE} )"
LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
SLOT="1.8"
-KEYWORDS="~arm ~arm64"
-IUSE="alsa +awt cups derby doc examples +fontconfig javafx jce nsplugin
pax_kernel selinux source"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc64-solaris
~x64-solaris"
+IUSE="alsa cups derby doc examples +fontconfig headless-awt javafx jce
nsplugin pax_kernel selinux source"
REQUIRED_USE="javafx? ( alsa fontconfig )"
RESTRICT="fetch preserve-libs strip"
@@ -79,7 +79,7 @@ QA_PREBUILT="*"
# dependencies below.
#
RDEPEND="!x64-macos? (
- awt? (
+ !headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
@@ -212,7 +212,7 @@ src_install() {
rm -vf jre/lib/*/libjsoundalsa.* || die
fi
- if ! use awt ; then
+ if use headless-awt ; then
rm -vf {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
{,jre/}bin/{javaws,policytool} \
bin/appletviewer || die
@@ -221,7 +221,7 @@ src_install() {
if ! use javafx ; then
rm -vf jre/lib/*/lib*{decora,fx,glass,prism}* \
jre/lib/*/libgstreamer-lite.* {,jre/}lib/{,ext/}*fx* \
- bin/*javafx* || die
+ bin/*javafx* bin/javapackager || die
fi
if ! use nsplugin ; then
@@ -259,7 +259,9 @@ src_install() {
fi
if use nsplugin ; then
- install_mozilla_plugin "${dest}/${nsplugin}"
+ local nsplugin_link=${nsplugin##*/}
+ nsplugin_link=${nsplugin_link/./-${PN}-${SLOT}.}
+ dosym "${dest}/${nsplugin}"
"/usr/$(get_libdir)/nsbrowser/plugins/${nsplugin_link}"
fi
if use source ; then